# Maarch Contributor Agreement 


These terms apply to your contribution of materials to a product or project owned or managed by us ('project'), and set out the intellectual property rights you grant to us (Maarch) in the contributed materials. If this contribution is on behalf of a company, the term 'you' will also mean the company you identify below. If you agree to be bound by these terms, fill in the information requested below and provide your signature. Read this agreement carefully before signing. 

1. The term 'contribution' means any source code, object code, patch, tool, sample, graphic, specification, manual, documentation, or any other material posted or submitted by you to a project. 

2. With respect to any worldwide copyrights, or copyright applications and registrations, in your contribution: 
	* you hereby assign to us joint ownership, and to the extent that such assignment is or becomes invalid, ineffective or unenforceable, you hereby grant to us a perpetual, irrevocable, non­exclusive, worldwide, no­charge, royalty­free, unrestricted license to exercise all rights under those copyrights. This includes, at our option, the right to sublicense these same rights to third parties through multiple levels of sublicensees or other licensing arrangements;
	* you agree that each of us can do all things in relation to your contribution as if each of us were the sole owners, and if one of us makes a derivative work of your contribution, the one who makes the derivative work (or has it made) will be the sole owner of that derivative work; 
	* you agree that you will not assert any moral rights in your contribution against us, our licensees or transferees; 
	* you agree that we may register a copyright in your contribution and exercise all ownership rights associated with it; and
	* you agree that neither of us has any duty to consult with, obtain the consent of, pay or render an accounting to the other for any use or distribution of your contribution.

3. With respect to any patents you own, or that you can license without payment to any third party, you hereby grant to us a perpetual, irrevocable, non­exclusive, worldwide, no­charge, royalty­free license to:
	* make, have made, use, sell, offer to sell, import, and otherwise transfer your contribution in whole or in part, alone or  in combination with or included in any product, work or materials arising out of the project to which your contribution was submitted, and
	* at our option, to sublicense these same rights to third parties through multiple levels of sublicensees or other licensing arrangements. 

4. Except as set out above, you keep all right, title, and interest in your contribution. The rights that you grant to us under these terms are effective on the date you first submitted a contribution to us, even if your submission took place before the date you sign these terms. Any contribution we make available under any license will also be made available under a suitable FSF (Free Software Foundation) or OSI (Open Source Initiative) approved license. 

5. Public Domain United Stated Government Works: Sections 1 through 4 of this agreement do not apply to any Contribution to the extent that it is a work of the United States Government for which copyright is unavailable under 17 U.S.C. 105. However, any contribution will be made available under a suitable FSF (Free Software Foundation) or OSI (Open Source Initiative) approved license. 

6. With respect to your contribution, you represent that: 
	* it is an original work and that you can legally grant the rights set out in these terms;
	* it does not to the best of your knowledge violate any third party's copyrights, trademarks, patents, or other intellectual property rights; and
	* you are authorized to sign this contract on behalf of your company (if identified below). 

7. These terms will be governed by the laws of the French State and applicable to U.S. Federal law. Any choice of law rules will not apply. If available, please list your username(s) and the name of the project(s) (or project website(s)) for which you would like to contribute materials. 

 Your username: 
 Project name (or project website): 
 Your contact information (Please print clearly): 
 Your name: 
 Your company's name (if applicable): 
 Mailing address: 
 Telephone, Fax and Email: 
 Your signature: 
 Date: 
  
To deliver these terms to us, scan and email, or fax a signed copy to us using the email address info@Maarch.org 

Maarch Contributor Agreement – version 2.0 This document is licensed under a Creative Commons Attribution­Share Alike 3.0 Unported License http://creativecommons.org/licenses/by­sa/3.0/  and based on original work from Sun Microsystems. 
